title1 1976 CENSUS OF CANADA- BST: EA-SHORT FORM- EADEMA10
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V7_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
       ;
VALUE  V11_F   1          = 'CENTRAL CITY'
             2          = 'REMAINDER OF COR'
             3          = 'URBAN FRINGE'
             4          = 'RURAL FRINGE'
             0          = 'NOT A CMA/CA'
       ;
VALUE  V12_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V14_F   1          = '100000 & UP'
             2          = '50000-99999'
             3          = '25000-49999'
             4          = '10000-24999'
             5          = '5000-9999'
             6          = '2000-4999'
             7          = '1000-1999'
             0          = 'NOT A CMA-CA'
       ;
VALUE  V18_F   1          = 'URBAN'
             0          = 'RURAL'
       ;
VALUE  V19_F   1          = '500000 & UP'
             2          = '100000-499999'
             3          = '30000-99999'
             4          = '10000-29999'
             5          = '5000-9999'
             6          = '2500-4999'
             7          = '1000-2499'
             8          = '0-999'
             0          = 'RURAL'
       ;
VALUE  V21_F   1          = 'CANADA'
             2          = 'PROV & TERRITORI'
             3          = 'FED ED'
             5          = 'ENUM AREA'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       FED   3-5
       EA   6-8
       CD   9-10
       CSD   11-14
       SGCCDCSD   15-19
       CSDSIZE   20-20
       CSDTYPE   21-22
       CCS   23-26
       CMACA   27-29
       CMACAPT   30-30
       CMACASEL   31-31
       SGCCMACA   32-34
       CMACASIZ   35-35
       CTPCTCOD   36-39
       CTPCTNUM   40-45
       SUBPREG   46-47
       URBRUR   48-48
       URBSIZE   49-49
       BLANK1   50-51
       RECTYPE   52-52
       V1   53-61
       V2   62-70
       V3   71-79
       V4   80-88
       V5   89-97
       V6   98-106
       V7   107-115
       V8   116-124
       V9   125-133
       V10   134-142
       V11   143-151
       V12   152-160
       V13   161-169
       V14   170-178
       V15   179-187
       V16   188-196
       V17   197-205
       V18   206-214
       V19   215-223
       V20   224-232
       V21   233-241
       V22   242-250
       V23   251-259
       V24   260-268
       V25   269-277
       V26   278-286
       V27   287-295
       V28   296-304
       V29   305-313
       V30   314-322
       V31   323-331
       V32   332-340
       V33   341-349
       V34   350-358
       V35   359-367
       V36   368-376
       V37   377-385
       V38   386-394
       V39   395-403
       V40   404-412
       V41   413-421
       V42   422-430
       V43   431-439
       V44   440-448
       V45   449-457
       V46   458-466
       V47   467-475
       V48   476-484
       V49   485-493
       V50   494-502
       V51   503-511
       V52   512-520
       V53   521-529
       V54   530-538
       V55   539-547
       V56   548-556
       V57   557-565
       V58   566-574
       V59   575-583
       V60   584-592
       V61   593-601
       V62   602-610
       V63   611-619
       V64   620-628
       V65   629-637
       V66   638-646
       V67   647-655
       V68   656-664
       V69   665-673
       V70   674-682
       V71   683-691
       V72   692-700
       V73   701-709
       V74   710-718
       V75   719-727
       V76   728-736
       V77   737-745
       V78   746-754
       V79   755-763
       V80   764-772
       V81   773-781
       V82   782-790
       V83   791-799
       V84   800-808
       V85   809-817
       V86   818-826
       V87   827-835
      ;
LABEL   PROV = 'Province (region)'
        FED = 'Federal electroral district'
        EA = 'Enumeration area'
        CD = 'Census division'
        CSD = 'Census subdivision'
        SGCCDCSD = 'Standard geographic code for CD/CSD'
        CSDSIZE = 'Census subdivision pop size gp'
        CSDTYPE = 'Census subdivision type code'
        CCS = 'Census consolidated subdivision'
        CMACA = 'CMA/CA area code'
        CMACAPT = 'CMA/CA part'
        CMACASEL = 'CMA/CA selector'
        SGCCMACA = 'Standard geographic code for CMA-CA'
        CMACASIZ = 'CMA-CA pop size gp'
        CTPCTCOD = 'Census tract or prov CT code'
        CTPCTNUM = 'Census tract or prov CT number'
        SUBPREG = 'Subprovincial region'
        URBRUR = 'Urban-Rural area'
        URBSIZE = 'Urban area pop size gp'
        BLANK1 = 'Blank- for future use'
        RECTYPE = 'Record type'
        V1 = 'Tot population'
        V2 = 'Tot: male'
        V3 = 'Tot: females'
        V4 = 'Age-<1 yr: tot pop'
        V5 = 'Age-<1 yr: males'
        V6 = 'Age-<1 yr: females'
        V7 = 'Age- 1-4 yrs: tot pop'
        V8 = 'Age- 1-4 yrs: males'
        V9 = 'Age- 1-4 yrs: females'
        V10 = 'Age 5-9: tot pop'
        V11 = 'Age 5-9: males'
        V12 = 'Age 5-9: females'
        V13 = 'Age 10-14: tot pop'
        V14 = 'Age 10-14: males'
        V15 = 'Age 10-14: females'
        V16 = 'Age 15-19: tot pop'
        V17 = 'Age 15-19: males'
        V18 = 'Age 15-19: females'
        V19 = 'Age 20-24: tot pop'
        V20 = 'Age 20-24: males'
        V21 = 'Age 20-24: females'
        V22 = 'Age 25-29: tot pop'
        V23 = 'Age 25-29: males'
        V24 = 'Age 25-29: females'
        V25 = 'Age 30-34: tot pop'
        V26 = 'Age 30-34: males'
        V27 = 'Age 30-34: females'
        V28 = 'Age 35-39: tot pop'
        V29 = 'Age 35-39: males'
        V30 = 'Age 35-39: females'
        V31 = 'Age 40-44: tot pop'
        V32 = 'Age 40-44: male'
        V33 = 'Age 40-44: female'
        V34 = 'Age 45-49: tot pop'
        V35 = 'Age 45-49: males'
        V36 = 'Age 45-49: females'
        V37 = 'Age 50-54: tot pop'
        V38 = 'Age 50-54: males'
        V39 = 'Age 50-54: females'
        V40 = 'Age 55-59: tot pop'
        V41 = 'Age 55-59: males'
        V42 = 'Age 55-59: females'
        V43 = 'Age 60-64: tot pop'
        V44 = 'Age 60-64: males'
        V45 = 'Age 60-64: females'
        V46 = 'Age 65-69: tot pop'
        V47 = 'Age 65-69: males'
        V48 = 'Age 65-69: females'
        V49 = 'Age 70-74: tot pop'
        V50 = 'Age 70-74: males'
        V51 = 'Age 70-74: females'
        V52 = 'Age 75-79: tot pop'
        V53 = 'Age 75-79: males'
        V54 = 'Age 75-79: females'
        V55 = 'Age 80-84: tot pop'
        V56 = 'Age 80-84: males'
        V57 = 'Age 80-84: females'
        V58 = 'Age 85-89: tot pop'
        V59 = 'Age 85-89: males'
        V60 = 'Age 85-89: females'
        V61 = 'Age 90-94: tot pop'
        V62 = 'Age 90-94: males'
        V63 = 'Age 90-94: females: tot pop'
        V64 = 'Age 95-99: tot pop'
        V65 = 'Age 95-99: males'
        V66 = 'Age 95-99: females'
        V67 = 'Age 100 yrs & over: tot pop'
        V68 = 'Age 100 yrs & over: males'
        V69 = 'Age 100 yrs & over: females'
        V70 = 'Marital status: tot pop'
        V71 = 'Marital status: males'
        V72 = 'Marital status: females'
        V73 = 'Single: tot pop'
        V74 = 'Single: males'
        V75 = 'Single: females'
        V76 = 'Married: tot pop'
        V77 = 'Married: males'
        V78 = 'Married: females'
        V79 = 'Widowed: tot pop'
        V80 = 'Widowed: males'
        V81 = 'Widowed: females'
        V82 = 'Divorced: tot pop'
        V83 = 'Divorced: males'
        V84 = 'Divorced: females'
        V85 = 'Separated: tot pop'
        V86 = 'Separated: males'
        V87 = 'Separated: females'
      ;
FORMAT  PROV              V1_F.
        CSDSIZE           V7_F.
        CMACAPT           V11_F.
        CMACASEL          V12_F.
        CMACASIZ          V14_F.
        URBRUR            V18_F.
        URBSIZE           V19_F.
        RECTYPE           V21_F.
;
